package cn.com.qmth.stmms.biz.exam.service.query;

import org.springframework.data.domain.Sort;
import org.springframework.data.domain.Sort.Direction;

import cn.com.qmth.stmms.biz.common.BaseQuery;
import cn.com.qmth.stmms.biz.exam.model.ExamQuestion;

public class ExamQuestionSearchQuery extends BaseQuery<ExamQuestion> {

    private int examId;

    private String subjectCode;

    private Boolean objective;

    private Integer totalCountGt;

    private Double zeroRateGt;

    private Double totalScoreGt;

    public void orderBySubjectAndNumber() {
        setSort(new Sort(Direction.ASC, "pk.subjectCode", "pk.mainNumber", "pk.subNumber"));
    }

    public int getExamId() {
        return examId;
    }

    public void setExamId(int examId) {
        this.examId = examId;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public Boolean getObjective() {
        return objective;
    }

    public void setObjective(Boolean objective) {
        this.objective = objective;
    }

    public Integer getTotalCountGt() {
        return totalCountGt;
    }

    public void setTotalCountGt(Integer totalCountGt) {
        this.totalCountGt = totalCountGt;
    }

    public Double getZeroRateGt() {
        return zeroRateGt;
    }

    public void setZeroRateGt(Double zeroRateGt) {
        this.zeroRateGt = zeroRateGt;
    }

    public Double getTotalScoreGt() {
        return totalScoreGt;
    }

    public void setTotalScoreGt(Double totalScoreGt) {
        this.totalScoreGt = totalScoreGt;
    }

}
